Skip to main content
GET
/
v1
/
wallet
/
address_book
Get Address Book
curl --request GET \
  --url https://api.ondoperps.xyz/v1/wallet/address_book \
  --header 'Authorization: Bearer <token>'
{
  "success": true,
  "result": {
    "addressBook": [
      {
        "withdrawalAddress": "0x054A94b753CBf65D1Bc484F6D41897b48251fbfF",
        "label": "My Ledger",
        "lastUpdated": "2025-01-10T08:00:00Z"
      }
    ]
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Response

Address book

success
boolean
required

Whether the request was successful

Example:

true

error
string

Error message, present only on failure

Example:

""

error_code
string

Semantic error code. See each endpoint's error responses for the specific codes it can return.

deprecated
string

Deprecation notice, if applicable

Example:

""

result
object